<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <variable
            name="viewModel"
            type="com.doverfuelingsolutions.issp.view.fragment.FragmentOrderList.FragmentNozzleViewModel" />
    </data>

    <LinearLayout
        style="@style/match"
        android:orientation="vertical"
        android:weightSum="1">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/oilList"
            style="@style/fullWidth"
            android:paddingHorizontal="10dp"
            android:visibility="@{viewModel.isNozzle ? View.GONE : View.VISIBLE}" />

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/smartRefreshLayout"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/fragmentToolbar">

            <com.scwang.smart.refresh.header.ClassicsHeader style="@style/fullWidth" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/orderListView"
                style="@style/match"
                android:paddingHorizontal="10dp"
                android:paddingTop="10dp"
                android:paddingBottom="20dp" />
        </com.scwang.smart.refresh.layout.SmartRefreshLayout>
    </LinearLayout>
</layout>